<div id="header"><app-search-header (findCoursesEvent)="searchCourses($event)"></app-search-header> </div>

<div>
  <ul class= "courses">
 <li *ngFor="let c_t of courseSlice">
<mat-card class="card-course content" (click) = "goToDetails(c_t.course.id)">
  <mat-card-title class="header">{{c_t.course.name}}</mat-card-title>
  <mat-card-subtitle class="header">{{c_t.course.category}} - {{c_t.course.level}}</mat-card-subtitle>
  <mat-card-content>
    <a href="https://imgbb.com/"><img src= {{c_t.teacher.picture}} alt="avatar" border="0" /></a>
       <h5>{{c_t.teacher.first_name}} {{c_t.teacher.last_name}}</h5>
       <!-- <h6>{{c_t.course.description}}</h6> -->
       <h5>{{c_t.teacher.phone}}</h5>
       <h5>{{c_t.teacher.email}}</h5>
       <h5>{{c_t.teacher.city}}</h5>
       <h5 >{{c_t.course.score}}</h5>
  </mat-card-content>
</mat-card>
</li>
</ul>

<mat-paginator id="paginator"
               [length] = "this.filterCourses.length"
               [pageSize] = "5"
               [pageSizeOptions] = "[5,10,15]"
               (page) = "onPageChange($event)"
></mat-paginator>


</div>
